// ------------------------------------------------------------------------
// - ccnf.hpp                                                             -
// - standard platform library - base type configuration                  -
// ------------------------------------------------------------------------
// - This program is free software; you can redistribute it and/or modify -
// - it provided that this copyright notice is kept intact.               -
// -                                                                      -
// - This program is distributed in the hope  that it will be useful, but -
// - without  any  warranty;  without  even  the  implied   warranty   of -
// - merchantability  or  fitness  for  a particular purpose. In no event -
// - shall the  copyright  holder  be  liable  for any  direct, indirect, -
// - incidental or special  damages  arising in any way out of the use of -
// - this software.                                                       -
// -                                                                      -
// - This file was automatically generated by ccnf                        -
// ------------------------------------------------------------------------
// - copyright (c) 1999-2003 amaury darsch                                -
// ------------------------------------------------------------------------

#ifndef  ALEPH_CCNF_HPP
#define  ALEPH_CCNF_HPP

// aleph revision
#define  ALEPH_VERSION_MAJOR      0
#define  ALEPH_VERSION_MINOR      9
#define  ALEPH_VERSION_PATCH      0
#define  ALEPH_VERSION_TOTAL      "0-9-0"

// supported platforms
#define  ALEPH_PLATFORM_UNKNOWN   0
#define  ALEPH_PLATFORM_LINUX     1
#define  ALEPH_PLATFORM_SOLARIS   2
#define  ALEPH_PLATFORM_FREEBSD   3

// supported processors
#define  ALEPH_PROCTYPE_UNKNOWN   0
#define  ALEPH_PROCTYPE_IA        1
#define  ALEPH_PROCTYPE_SPARC     2
#define  ALEPH_PROCTYPE_ALPHA     3
#define  ALEPH_PROCTYPE_ARM       4
#define  ALEPH_PROCTYPE_PPC       5
#define  ALEPH_PROCTYPE_M68K      6
#define  ALEPH_PROCTYPE_MIPS      7
#define  ALEPH_PROCTYPE_MIPSEL    8
#define  ALEPH_PROCTYPE_PA64      9
#define  ALEPH_PROCTYPE_IA64      10
#define  ALEPH_PROCTYPE_S390      11
#define  ALEPH_PROCTYPE_X86_64    12

// platform definitions
#define  ALEPH_PLATFORM_PLATID    1
#define  ALEPH_PLATFORM_PROCID    12
#define  ALEPH_PLATFORM_VERSION   2.6
#define  ALEPH_PLATFORM_MAJOR     2
#define  ALEPH_PLATFORM_MINOR     6
#define  ALEPH_PLATFORM_NAME      "linux"
#define  ALEPH_PLATFORM_VINFO     "2.6"
#define  ALEPH_PLATFORM_PROC      "x86_64"
#define  ALEPH_PLATFORM_PTYPE     "generic"

// processor mode
#define  ALEPH_HAVE_LITTLE_ENDIAN

// configuration definitions
#define  ALEPH_LINKTYPE_STATIC    false

// the base nilp pointer definition
#ifndef nilp
#define nilp 0
#endif

namespace aleph {
  // fundamental types of the aleph system
  typedef unsigned char      t_byte;
  typedef unsigned short     t_word;
  typedef unsigned int       t_quad;
  typedef unsigned long long t_octa;
  typedef long long          t_long;
  typedef double             t_real;
  typedef unsigned long      t_size;

  // fundamental constants of the aleph system
  const char nilc = '\0';
  const char eofc = '\4';
  const char eolc = '\n';
  const char crlc = '\r';
  const char tabc = '\t';
}

#endif
